/* abble.h: include in chatting tasks.
	please #define NEXTTASK= "..." */
#define EFN 12
main(argc,argv)
int		argc;
char		**argv;
{char		sender[7];
 struct rad50	next;
 int		buf[15];
 int		dsw;
 ascr50(6,NEXTTASK,&next);
 while	(1)
	{printf("%s>",*argv);
	 zero(buf,30);
	 gets(buf);
	 if	(*buf)
		{dsw = ustp(&next);
		 printf("ustp(%s)=%oo\n",NEXTTASK,dsw);
		 dsw = sdat(&next,buf,EFN);
		 printf("sdat(%s)=%oo\n",NEXTTASK,dsw);
		}
	 ;
	 do
		{zero(buf,30);
		 dsw = rcst(NULL,buf);
		 printf("rcst(NULL)=%oo\n",dsw);
		}
	 while	(dsw == IS_SET)
	 ;
	 /* here with something received */
	 r50toa(sender,buf,2);
	 sender[6]=0;
	 printf("%s:received \"%s\" from task:%s\n",*argv,buf+2,sender);
	}
 ;
}
